%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugins .so from provides
%define _exclude_files_from_autoprov %{_libdir}/tumbler-1/plugins/.*\\.so

%define major		0
%define api		1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary: 	A thumbnail D-Bus service
Name: 		tumbler
Version: 	0.1.31
Release: 	%mkrel 6
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		http://git.xfce.org/apps/tumbler
Source0: 	http://archive.xfce.org/src/apps/tumbler/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:		tumbler-0.1.31-libopenraw0.1.patch
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(libopenraw-gnome-0.1)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libffmpegthumbnailer)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	jpeg-devel

%description
Tumbler is a D-Bus service for applications to request thumbnails for
various URI schemes and MIME types. It is an implementation of the
thumbnail management D-Bus specification.

%package -n %{libname}
Summary:	A D-bus thumbnailing framework
Group:		System/Libraries

%description -n %{libname}
Tumbler is a D-Bus service for applications to request thumbnails for
various URI schemes and MIME types.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README TODO ChangeLog
%{_sysconfdir}/xdg/tumbler/tumbler.rc
%{_libdir}/tumbler-1/%{name}d
%dir %{_libdir}/tumbler-1/plugins/
%dir %{_libdir}/tumbler-1/plugins/cache/
%{_libdir}/tumbler-1/plugins/cache/tumbler-cache-plugin.so
%{_libdir}/tumbler-1/plugins/cache/tumbler-xdg-cache.so
%{_libdir}/tumbler-1/plugins/tumbler-cover-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-gst-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-ffmpeg-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-font-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-jpeg-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-odf-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-pixbuf-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-poppler-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-raw-thumbnailer.so
%{_datadir}/dbus-1/services/*.service

%files -n %{libname}
%{_libdir}/*%{name}-%{api}.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/*%{name}-%{api}.so
%{_includedir}/%{name}-%{api}/
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog
* Tue May 02 2017 akien <akien> 0.1.31-6.mga6
+ Revision: 1098325
- Rebuild for ffmpeg 3.3

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.1.31-5.mga6
+ Revision: 1070651
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.1.31-4.mga6
+ Revision: 1046206
- test rebuild for poppler

* Wed Feb 17 2016 umeabot <umeabot> 0.1.31-3.mga6
+ Revision: 963116
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 wally <wally> 0.1.31-2.mga6
+ Revision: 892431
- rebuild for new libopenraw (with a patch)

* Tue Mar 03 2015 wally <wally> 0.1.31-1.mga5
+ Revision: 817403
- new version 0.1.31

* Wed Oct 15 2014 umeabot <umeabot> 0.1.30-3.mga5
+ Revision: 742835
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.30-2.mga5
+ Revision: 689972
- Mageia 5 Mass Rebuild

* Sun Feb 23 2014 wally <wally> 0.1.30-1.mga5
+ Revision: 595893
- new version 0.1.30

* Sat Oct 19 2013 umeabot <umeabot> 0.1.29-4.mga4
+ Revision: 526468
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 0.1.29-3.mga4
+ Revision: 436953
- rebuild for new libpng

  + tv <tv>
    - rebuild for new libpng

* Thu May 23 2013 wally <wally> 0.1.29-1.mga4
+ Revision: 425060
- new version 0.1.29

* Mon Jan 14 2013 umeabot <umeabot> 0.1.26-2.mga3
+ Revision: 384840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 wally <wally> 0.1.26-1.mga3
+ Revision: 329106
- new version 0.1.26
- switch to gstreamer-1.0
- exclude plugins .so from provides

* Mon May 28 2012 wally <wally> 0.1.25-1.mga3
+ Revision: 248523
- new version 0.1.25
- clean .spec

* Sun Dec 04 2011 wally <wally> 0.1.23-1.mga2
+ Revision: 176044
- new version 0.1.23

* Sat Feb 19 2011 ahmad <ahmad> 0.1.21-1.mga2
+ Revision: 53978
- imported package tumbler

